package com.base.core.model.enity;

/**
 * @类名: 区域与轨迹关系实体类
 * @描述: 包括侧摆角与观测区域关系以及幅宽与观测区域的关系
 * @版本:
 * @创建日期: 2015-04-13下午04:23:37
 * @作者: liuchl
 * @JDK: 1.7
 */

public class EphRelation {
	/**
	 * String 侧摆角与梯形网格关系
	 */
	private String rollrelation = null;
	/**
	 * String 幅宽与梯形网格关系
	 */
	private String striprelation = null;
	/**
	 * String 如果相交，相交北纬节点，不相交则节点为null
	 */
	private Node northnode = new Node();
	/**
	 * String 如果相交，相交南纬节点，不相交则节点为null
	 */
	private Node southnode = new Node();
	
	public String getRollrelation() {
		return rollrelation;
	}
	public void setRollrelation(String rollrelation) {
		this.rollrelation = rollrelation;
	}
	public String getStriprelation() {
		return striprelation;
	}
	public void setStriprelation(String striprelation) {
		this.striprelation = striprelation;
	}
	public Node getNorthnode() {
		return northnode;
	}
	public void setNorthnode(Node northnode) {
		this.northnode = northnode;
	}
	public Node getSouthnode() {
		return southnode;
	}
	public void setSouthnode(Node southnode) {
		this.southnode = southnode;
	}

	
}
